Developers
API ReferenceProject Numbering

Creates the ProjectNumbering resource.

POST
/project/project-numberings

Creates the ProjectNumbering resource.

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Request Body

The new ProjectNumbering resource

  1. body
name*string
Lengthlength <= 50
pattern*string
Lengthlength <= 100
counterPadLength*integer
Range0 <= value <= 6
counterNextValue?|
Range0 <= value
counterInterval?|
Value in"P1M""P1Y"
isDefault*boolean
Defaultfalse

Response Body

ProjectNumbering resource created

  1. response
id?string
Formatuuid
name?string
Lengthlength <= 50
pattern?string
Lengthlength <= 100
counterPadLength?integer
counterNextValue?integer|null
counterInterval?|
Value in"P1M""P1Y"
isDefault?boolean
Example Request
curl -X POST 'https://app.icproject.com/api/instance/demo/project/project-numberings' \  -H 'Content-Type: application/json' \  -d '{  "name": "string",  "pattern": "string",  "counterPadLength": 0,  "isDefault": false}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "pattern": "string",  "counterPadLength": 0,  "counterNextValue": 0,  "counterInterval": "P1M",  "isDefault": true}